## linux 4.19.316

=== Makefile ===
# SPDX-License-Identifier: GPL-2.0
VERSION = 4
PATCHLEVEL = 19
SUBLEVEL = 316
EXTRAVERSION =
NAME = "People's Front"

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# That's our default target when none is given on the command line
PHONY := _all
_all:

# o Do not use make's built-in rules and variables
#   (this increases performance and avoids hard-to-debug behaviour);
# o Look for make include files relative to root of kernel src
MAKEFLAGS += -rR --include-dir=$(CURDIR)

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# Avoid interference with shell env settings
unexport GREP_OPTIONS

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.a targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed.
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.
#
# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands
# make-4.0 (and later) keep single letter options in the 1st word of MAKEFLAGS.

ifeq ($(filter 3.%,$(MAKE_VERSION)),)
silence:=$(findstring s,$(firstword -$(MAKEFLAGS)))
else
silence:=$(findstring s,$(filter-out --%,$(MAKEFLAGS)))
endif

ifeq ($(silence),s)
quiet=silent_
tools_silent=s
endif

export quiet Q KBUILD_VERBOSE

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.

# KBUILD_SRC is not intended to be used by the regular user (for now),
# it is set on invocation of make with KBUILD_OUTPUT or O= specified.
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(words $(subst :, ,$(CURDIR))), 1)
  $(error main directory cannot contain spaces nor colons)
endif

ifneq ($(KBUILD_OUTPUT),)
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell mkdir -p $(KBUILD_OUTPUT) && cd $(KBUILD_OUTPUT) \
								&& pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error failed to create output directory "$(saved-output)"))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	@:

# Invoke a second make in the output directory, passing relevant variables
sub-make:
	$(Q)$(MAKE) -C $(KBUILD_OUTPUT) KBUILD_SRC=$(CURDIR) \
	-f $(CURDIR)/Makefile $(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# Do not print "Entering directory ...",
# but we want to display it when entering to the output directory
# so that IDEs/editors are able to understand relative filenames.
MAKEFLAGS += --no-print-directory

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/dev-tools/sparse.rst" for more details,
# including where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

ifeq ($(KBUILD_SRC),)
        # building in the source tree
        srctree := .
else
        ifeq ($(KBUILD_SRC)/,$(dir $(CURDIR)))
                # building in a subdirectory of the source tree
                srctree := ..
        else
                srctree := $(KBUILD_SRC)
        endif
endif

export KBUILD_CHECKSRC KBUILD_EXTMOD KBUILD_SRC

objtree		:= .
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH

# To make sure we do not include .config for any of the *config targets
# catch them early, and hand them over to scripts/kconfig/Makefile
# It is allowed to specify more targets when calling make, including
# mixing *config targets and build targets.
# For example 'make oldconfig all'.
# Detect when mixed targets is specified, and make a second invocation
# of make so .config is not included in this case either (for *config).

version_h := include/generated/uapi/linux/version.h
old_version_h := include/linux/version.h

clean-targets := %clean mrproper cleandocs
no-dot-config-targets := $(clean-targets) \
			 cscope gtags TAGS tags help% %docs check% coccicheck \
			 $(version_h) headers_% archheaders archscripts \
			 %asm-generic kernelversion %src-pkg
no-sync-config-targets := $(no-dot-config-targets) install %install \
			   kernelrelease

config-targets  := 0
mixed-targets   := 0
dot-config      := 1
may-sync-config := 1

ifneq ($(filter $(no-dot-config-targets), $(MAKECMDGOALS)),)
	ifeq ($(filter-out $(no-dot-config-targets), $(MAKECMDGOALS)),)
		dot-config := 0
	endif
endif

ifneq ($(filter $(no-sync-config-targets), $(MAKECMDGOALS)),)
	ifeq ($(filter-out $(no-sync-config-targets), $(MAKECMDGOALS)),)
		may-sync-config := 0
	endif
endif

ifneq ($(KBUILD_EXTMOD),)
	may-sync-config := 0
endif

ifeq ($(KBUILD_EXTMOD),)
        ifneq ($(filter config %config,$(MAKECMDGOALS)),)
                config-targets := 1
                ifneq ($(words $(MAKECMDGOALS)),1)
                        mixed-targets := 1
                endif
        endif
endif

# For "make -j clean all", "make -j mrproper defconfig all", etc.
ifneq ($(filter $(clean-targets),$(MAKECMDGOALS)),)
        ifneq ($(filter-out $(clean-targets),$(MAKECMDGOALS)),)
                mixed-targets := 1
        endif
endif

# install and modules_install need also be processed one by one
ifneq ($(filter install,$(MAKECMDGOALS)),)
        ifneq ($(filter modules_install,$(MAKECMDGOALS)),)
	        mixed-targets := 1
        endif
endif

ifeq ($(mixed-targets),1)
# ===========================================================================
# We're called with mixed targets (*config and build targets).
# Handle them one by one.

PHONY += $(MAKECMDGOALS) __build_one_by_one

$(filter-out __build_one_by_one, $(MAKECMDGOALS)): __build_one_by_one
	@:

__build_one_by_one:
	$(Q)set -e; \
	for i in $(MAKECMDGOALS); do \
		$(MAKE) -f $(srctree)/Makefile $$i; \
	done

else

# We need some generic definitions (do not try to remake the file).
scripts/Kbuild.include: ;
include scripts/Kbuild.include

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(shell cat include/config/kernel.release 2> /dev/null)
KERNELVERSION = $(VERSION)$(if $(PATCHLEVEL),.$(PATCHLEVEL)$(if $(SUBLEVEL),.$(SUBLEVEL)))$(EXTRAVERSION)
export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION

include scripts/subarch.include

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
ARCH		?= $(SUBARCH)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOST_LFS_CFLAGS := $(shell getconf LFS_CFLAGS 2>/dev/null)
HOST_LFS_LDFLAGS := $(shell getconf LFS_LDFLAGS 2>/dev/null)
HOST_LFS_LIBS := $(shell getconf LFS_LIBS 2>/dev/null)

ifneq ($(LLVM),)
HOSTCC	= clang
HOSTCXX	= clang++
else
HOSTCC	= gcc
HOSTCXX	= g++
endif
KBUILD_HOSTCFLAGS   := -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 \
		-fomit-frame-pointer -std=gnu89 $(HOST_LFS_CFLAGS) \
		$(HOSTCFLAGS)
KBUILD_HOSTCXXFLAGS := -O2 $(HOST_LFS_CFLAGS) $(HOSTCXXFLAGS)
KBUILD_HOSTLDFLAGS  := $(HOST_LFS_LDFLAGS) $(HOSTLDFLAGS)
KBUILD_HOSTLDLIBS   := $(HOST_LFS_LIBS) $(HOSTLDLIBS)

# Make variables (CC, etc...)
CPP		= $(CC) -E
ifneq ($(LLVM),)
CC		= clang
LD		= ld.lld
AR		= llvm-ar
NM		= llvm-nm
OBJCOPY		= llvm-objcopy
OBJDUMP		= llvm-objdump
READELF		= llvm-readelf
OBJSIZE		= llvm-size
STRIP		= llvm-strip

=== arch/x86/purgatory/Makefile ===
# SPDX-License-Identifier: GPL-2.0
OBJECT_FILES_NON_STANDARD := y

purgatory-y := purgatory.o stack.o setup-x86_$(BITS).o sha256.o entry64.o string.o

targets += $(purgatory-y)
PURGATORY_OBJS = $(addprefix $(obj)/,$(purgatory-y))

$(obj)/string.o: $(srctree)/arch/x86/boot/compressed/string.c FORCE
	$(call if_changed_rule,cc_o_c)

$(obj)/sha256.o: $(srctree)/lib/sha256.c FORCE
	$(call if_changed_rule,cc_o_c)

# When profile-guided optimization is enabled, llvm emits two different
# overlapping text sections, which is not supported by kexec. Remove profile
# optimization flags.
KBUILD_CFLAGS := $(filter-out -fprofile-sample-use=% -fprofile-use=%,$(KBUILD_CFLAGS))

LDFLAGS_purgatory.ro := -e purgatory_start -r --no-undefined -nostdlib -z nodefaultlib
targets += purgatory.ro

# Sanitizer, etc. runtimes are unavailable and cannot be linked here.
GCOV_PROFILE	:= n
KASAN_SANITIZE	:= n
UBSAN_SANITIZE	:= n
KCOV_INSTRUMENT := n

# These are adjustments to the compiler flags used for objects that
# make up the standalone purgatory.ro

PURGATORY_CFLAGS_REMOVE := -mcmodel=kernel
PURGATORY_CFLAGS := -mcmodel=small -ffreestanding -fno-zero-initialized-in-bss -g0
PURGATORY_CFLAGS += -fpic -fvisibility=hidden
PURGATORY_CFLAGS += $(DISABLE_STACKLEAK_PLUGIN) -DDISABLE_BRANCH_PROFILING

# Default KBUILD_CFLAGS can have -pg option set when FTRACE is enabled. That
# in turn leaves some undefined symbols like __fentry__ in purgatory and not
# sure how to relocate those.
ifdef CONFIG_FUNCTION_TRACER
PURGATORY_CFLAGS_REMOVE		+= $(CC_FLAGS_FTRACE)
endif

ifdef CONFIG_STACKPROTECTOR
PURGATORY_CFLAGS_REMOVE		+= -fstack-protector
endif

ifdef CONFIG_STACKPROTECTOR_STRONG
PURGATORY_CFLAGS_REMOVE		+= -fstack-protector-strong
endif

ifdef CONFIG_RETPOLINE
PURGATORY_CFLAGS_REMOVE		+= $(RETPOLINE_CFLAGS)
endif

CFLAGS_REMOVE_purgatory.o	+= $(PURGATORY_CFLAGS_REMOVE)
CFLAGS_purgatory.o		+= $(PURGATORY_CFLAGS)

CFLAGS_REMOVE_sha256.o		+= $(PURGATORY_CFLAGS_REMOVE)
CFLAGS_sha256.o			+= $(PURGATORY_CFLAGS)

CFLAGS_REMOVE_string.o		+= $(PURGATORY_CFLAGS_REMOVE)
CFLAGS_string.o			+= $(PURGATORY_CFLAGS)

AFLAGS_REMOVE_setup-x86_$(BITS).o	+= -g -Wa,-gdwarf-2
AFLAGS_REMOVE_entry64.o			+= -g -Wa,-gdwarf-2

$(obj)/purgatory.ro: $(PURGATORY_OBJS) FORCE
		$(call if_changed,ld)

targets += kexec-purgatory.c

quiet_cmd_bin2c = BIN2C   $@
      cmd_bin2c = $(objtree)/scripts/bin2c kexec_purgatory < $< > $@

$(obj)/kexec-purgatory.c: $(obj)/purgatory.ro FORCE
	$(call if_changed,bin2c)

obj-$(CONFIG_KEXEC_FILE)	+= kexec-purgatory.o

=== arch/arm/boot/compressed/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# linux/arch/arm/boot/compressed/Makefile
#
# create a compressed vmlinuz image from the original vmlinux
#

OBJS		=

AFLAGS_head.o += -DTEXT_OFFSET=$(TEXT_OFFSET)
HEAD	= head.o
OBJS	+= misc.o decompress.o
ifeq ($(CONFIG_DEBUG_UNCOMPRESS),y)
OBJS	+= debug.o
endif
FONTC	= $(srctree)/lib/fonts/font_acorn_8x8.c

# string library code (-Os is enforced to keep it much smaller)
OBJS		+= string.o
CFLAGS_string.o	:= -Os

ifeq ($(CONFIG_ARM_VIRT_EXT),y)
OBJS		+= hyp-stub.o
endif

GCOV_PROFILE		:= n

# Prevents link failures: __sanitizer_cov_trace_pc() is not linked in.
KCOV_INSTRUMENT		:= n

#
# Architecture dependencies
#
ifeq ($(CONFIG_ARCH_ACORN),y)
OBJS		+= ll_char_wr.o font.o
endif

ifeq ($(CONFIG_ARCH_SA1100),y)
OBJS		+= head-sa1100.o
endif

ifeq ($(CONFIG_CPU_XSCALE),y)
OBJS		+= head-xscale.o
endif

ifeq ($(CONFIG_PXA_SHARPSL_DETECT_MACH_ID),y)
OBJS		+= head-sharpsl.o
endif

ifeq ($(CONFIG_CPU_ENDIAN_BE32),y)
ifeq ($(CONFIG_CPU_CP15),y)
OBJS		+= big-endian.o
else
# The endian should be set by h/w design.
endif
endif

#
# We now have a PIC decompressor implementation.  Decompressors running
# from RAM should not define ZTEXTADDR.  Decompressors running directly
# from ROM or Flash must define ZTEXTADDR (preferably via the config)
# FIXME: Previous assignment to ztextaddr-y is lost here. See SHARK
ifeq ($(CONFIG_ZBOOT_ROM),y)
ZTEXTADDR	:= $(CONFIG_ZBOOT_ROM_TEXT)
ZBSSADDR	:= $(CONFIG_ZBOOT_ROM_BSS)
else
ZTEXTADDR	:= 0
ZBSSADDR	:= ALIGN(8)
endif

CPPFLAGS_vmlinux.lds := -DTEXT_START="$(ZTEXTADDR)" -DBSS_START="$(ZBSSADDR)"

compress-$(CONFIG_KERNEL_GZIP) = gzip
compress-$(CONFIG_KERNEL_LZO)  = lzo
compress-$(CONFIG_KERNEL_LZMA) = lzma
compress-$(CONFIG_KERNEL_XZ)   = xzkern
compress-$(CONFIG_KERNEL_LZ4)  = lz4

# Borrowed libfdt files for the ATAG compatibility mode

libfdt		:= fdt_rw.c fdt_ro.c fdt_wip.c fdt.c
libfdt_hdrs	:= fdt.h libfdt.h libfdt_internal.h

libfdt_objs	:= $(addsuffix .o, $(basename $(libfdt)))

$(addprefix $(obj)/,$(libfdt) $(libfdt_hdrs)): $(obj)/%: $(srctree)/scripts/dtc/libfdt/%
	$(call cmd,shipped)

$(addprefix $(obj)/,$(libfdt_objs) atags_to_fdt.o): \
	$(addprefix $(obj)/,$(libfdt_hdrs))

ifeq ($(CONFIG_ARM_ATAG_DTB_COMPAT),y)
CFLAGS_REMOVE_atags_to_fdt.o += -Wframe-larger-than=${CONFIG_FRAME_WARN}
CFLAGS_atags_to_fdt.o += -Wframe-larger-than=1280
OBJS	+= $(libfdt_objs) atags_to_fdt.o
endif

targets       := vmlinux vmlinux.lds piggy_data piggy.o \
		 lib1funcs.o ashldi3.o bswapsdi2.o \
		 head.o $(OBJS)

clean-files += piggy_data lib1funcs.S ashldi3.S bswapsdi2.S \
		$(libfdt) $(libfdt_hdrs) hyp-stub.S

KBUILD_CFLAGS += -DDISABLE_BRANCH_PROFILING

ifeq ($(CONFIG_FUNCTION_TRACER),y)
ORIG_CFLAGS := $(KBUILD_CFLAGS)
KBUILD_CFLAGS = $(subst -pg, , $(ORIG_CFLAGS))
endif

# -fstack-protector-strong triggers protection checks in this code,
# but it is being used too early to link to meaningful stack_chk logic.
nossp_flags := $(call cc-option, -fno-stack-protector)
CFLAGS_atags_to_fdt.o := $(nossp_flags)
CFLAGS_fdt.o := $(nossp_flags)
CFLAGS_fdt_ro.o := $(nossp_flags)
CFLAGS_fdt_rw.o := $(nossp_flags)
CFLAGS_fdt_wip.o := $(nossp_flags)

ccflags-y := -fpic $(call cc-option,-mno-single-pic-base,) -fno-builtin -I$(obj)
asflags-y := -DZIMAGE

# Supply kernel BSS size to the decompressor via a linker symbol.
KBSS_SZ = $(shell echo $$(($$($(NM) $(obj)/../../../../vmlinux | \
		sed -n -e 's/^\([^ ]*\) [ABD] __bss_start$$/-0x\1/p' \
		       -e 's/^\([^ ]*\) [ABD] __bss_stop$$/+0x\1/p') )) )
LDFLAGS_vmlinux = --defsym _kernel_bss_size=$(KBSS_SZ)
# Supply ZRELADDR to the decompressor via a linker symbol.
ifneq ($(CONFIG_AUTO_ZRELADDR),y)
LDFLAGS_vmlinux += --defsym zreladdr=$(ZRELADDR)
endif
ifeq ($(CONFIG_CPU_ENDIAN_BE8),y)
LDFLAGS_vmlinux += --be8
endif
# Report unresolved symbol references
LDFLAGS_vmlinux += --no-undefined
# Delete all temporary local symbols
LDFLAGS_vmlinux += -X
# Next argument is a linker script
LDFLAGS_vmlinux += -T

# For __aeabi_uidivmod
lib1funcs = $(obj)/lib1funcs.o

$(obj)/lib1funcs.S: $(srctree)/arch/$(SRCARCH)/lib/lib1funcs.S
	$(call cmd,shipped)

# For __aeabi_llsl
ashldi3 = $(obj)/ashldi3.o

$(obj)/ashldi3.S: $(srctree)/arch/$(SRCARCH)/lib/ashldi3.S
	$(call cmd,shipped)

# For __bswapsi2, __bswapdi2
bswapsdi2 = $(obj)/bswapsdi2.o

$(obj)/bswapsdi2.S: $(srctree)/arch/$(SRCARCH)/lib/bswapsdi2.S
	$(call cmd,shipped)

# We need to prevent any GOTOFF relocs being used with references
# to symbols in the .bss section since we cannot relocate them
# independently from the rest at run time.  This can be achieved by
# ensuring that no private .bss symbols exist, as global symbols
# always have a GOT entry which is what we need.
# The .data section is already discarded by the linker script so no need
# to bother about it here.
check_for_bad_syms = \
bad_syms=$$($(NM) $@ | sed -n 's/^.\{8\} [bc] \(.*\)/\1/p') && \
[ -z "$$bad_syms" ] || \
  ( echo "following symbols must have non local/private scope:" >&2; \
    echo "$$bad_syms" >&2; rm -f $@; false )

check_for_multiple_zreladdr = \
if [ $(words $(ZRELADDR)) -gt 1 -a "$(CONFIG_AUTO_ZRELADDR)" = "" ]; then \
	echo 'multiple zreladdrs: $(ZRELADDR)'; \
	echo 'This needs CONFIG_AUTO_ZRELADDR to be set'; \
	false; \
fi

efi-obj-$(CONFIG_EFI_STUB) := $(objtree)/drivers/firmware/efi/libstub/lib.a

$(obj)/vmlinux: $(obj)/vmlinux.lds $(obj)/$(HEAD) $(obj)/piggy.o \
		$(addprefix $(obj)/, $(OBJS)) $(lib1funcs) $(ashldi3) \
		$(bswapsdi2) $(efi-obj-y) FORCE
	@$(check_for_multiple_zreladdr)
	$(call if_changed,ld)
	@$(check_for_bad_syms)

$(obj)/piggy_data: $(obj)/../Image FORCE
	$(call if_changed,$(compress-y))

$(obj)/piggy.o: $(obj)/piggy_data

CFLAGS_font.o := -Dstatic=

$(obj)/font.c: $(FONTC)
	$(call cmd,shipped)

AFLAGS_hyp-stub.o := -Wa,-march=armv7-a

$(obj)/hyp-stub.S: $(srctree)/arch/$(SRCARCH)/kernel/hyp-stub.S
	$(call cmd,shipped)

=== debian/changelog ===
linux (4.19.316-1) buster-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.305
    - nfc: llcp_core: Hold a ref to llcp_local->dev when holding a ref to
      llcp_local
    - i40e: Fix filter input checks to prevent config with invalid values
    - net: sched: em_text: fix possible memory leak in em_text_destroy()
    - [armhf] sun9i: smp: Fix array-index-out-of-bounds read in
      sunxi_mc_smp_init
    - net: Save and restore msg_namelen in sock_sendmsg (regression in
      4.19.297)
    - i40e: fix use-after-free in i40e_aqc_add_filters()
    - i40e: Restore VF MSI-X state during PCI reset
    - net/qla3xxx: switch from 'pci_' to 'dma_' API
    - net/qla3xxx: fix potential memleak in ql_alloc_buffer_queues
    - asix: Add check for usbnet_get_endpoints
    - bnxt_en: Remove mis-applied code from bnxt_cfg_ntp_filters()
    - mm/memory-failure: check the mapcount of the precise page
    - [x86] firewire: ohci: suppress unexpected system reboot in AMD Ryzen
      machines and ASM108x/VT630x PCIe cards
    - mm: fix unmap_mapping_range high bits shift bug
    - mmc: rpmb: fixes pause retune on all RPMB partitions.
    - mmc: core: Cancel delayed work before releasing host
    - fuse: nlookup missing decrement in fuse_direntplus_link
    - netfilter: nf_tables: Reject tables of unsupported family (CVE-2023-6040)
    - PCI: Disable ATS for specific Intel IPU E2000 devices
    - net: add a route cache full diagnostic message
    - net/dst: use a smaller percpu_counter batch for dst entries accounting
    - ipv6: make ip6_rt_gc_expire an atomic_t
    - ipv6: remove max_size check inline with ipv4 (CVE-2023-52340)
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.306
    - f2fs: explicitly null-terminate the xattr list (CVE-2023-52436)
    - ASoC: rt5650: add mutex to avoid the jack detection failure
    - net/tg3: fix race condition in tg3_reset_task()
    - ASoC: da7219: Support low DC impedance headset
    - [armhf] drm/exynos: fix a potential error pointer dereference
    - [arm*] clk: rockchip: rk3128: Fix HCLK_OTG gate register
    - jbd2: correct the printing of write_flags in jbd2_write_superblock()
    - drm/crtc: Fix uninit-value bug in drm_mode_setcrtc
    - tracing: Have large events show up as '[LINE TOO BIG]' instead of nothing
    - tracing: Add size check when printing trace_marker output
    - ring-buffer: Do not record in NMI if the arch does not support cmpxchg in
      NMI
    - [x86] Input: atkbd - skip ATKBD_CMD_GETID in translated mode
    - [x86] Input: i8042 - add nomux quirk for Acer P459-G2-M
    - [x86] Input: xpad - add Razer Wolverine V2 support
    - [armhf] sun9i: smp: fix return code check of of_property_match_string
    - drm/crtc: fix uninitialized variable use
    - uio: Fix use-after-free in uio_open (CVE-2023-52439)
    - [x86] lib: Fix overflow when counting digits
    - [arm64] EDAC/thunderx: Fix possible out-of-bounds string access
      (CVE-2023-52464)
    - [x86] ACPI: video: check for error while searching for backlight device
      parent (CVE-2023-52693)
    - [amd64] ACPI: LPIT: Avoid u32 multiplication overflow (CVE-2023-52683)
    - calipso: fix memory leak in netlbl_calipso_add_pass() (CVE-2023-52698)
    - mtd: Fix gluebi NULL pointer dereference caused by ftl notifier
      (CVE-2023-52449)
    - selinux: Fix error priority for bind with AF_UNSPEC on PF_INET6 socket
    - crypto: virtio - Handle dataq logic with tasklet
    - [x86] crypto: ccp - fix memleak in ccp_init_dm_workarea
    - crypto: af_alg - Disallow multiple in-flight AIO requests
    - pstore: ram_core: fix possible overflow in persistent_ram_init_ecc()
    - crypto: virtio - Wait for tasklet to complete on device remove
    - crypto: scompress - return proper error code for allocation failure
    - crypto: scompress - Use per-CPU struct instead multiple variables
    - crypto: scomp - fix req->dst buffer overflow (CVE-2023-52612)
    - blocklayoutdriver: Fix reference leak of pnfs_device_node
    - NFSv4.1/pnfs: Ensure we handle the error NFS4ERR_RETURNCONFLICT
    - bpf, lpm: Fix check prefixlen before walking trie
    - rtlwifi: Use ffs in <foo>_phy_calculate_bit_shift
    - wifi: rtlwifi: rtl8821ae: phy: fix an undefined bitwise shift behavior
    - [arm64] scsi: hisi_sas: Replace with standard error code return value
    - wifi: rtlwifi: add calculate_bit_shift()
    - wifi: rtlwifi: rtl8188ee: phy: using calculate_bit_shift()
    - wifi: rtlwifi: rtl8192c: using calculate_bit_shift()
    - wifi: rtlwifi: rtl8192cu: using calculate_bit_shift()
    - wifi: rtlwifi: rtl8192ce: using calculate_bit_shift()
    - rtlwifi: rtl8192de: make arrays static const, makes object smaller
    - wifi: rtlwifi: rtl8192de: using calculate_bit_shift()
    - wifi: rtlwifi: rtl8192ee: using calculate_bit_shift()
    - wifi: rtlwifi: rtl8192se: using calculate_bit_shift()
    - Bluetooth: Fix bogus check for re-auth no supported with non-ssp
    - Bluetooth: btmtkuart: fix recv_buf() return value
    - ip6_tunnel: fix NEXTHDR_FRAGMENT handling in ip6_tnl_parse_tlv_enc_lim()
      (CVE-2024-26633)
    - RDMA/usnic: Silence uninitialized symbol smatch warnings
    - media: pvrusb2: fix use after free on context disconnection
      (CVE-2023-52445)
    - f2fs: fix to avoid dirent corruption (CVE-2023-52444)
    - drm/radeon/r600_cs: Fix possible int overflows in r600_cs_check_reg()
    - drm/radeon/r100: Fix integer overflow issues in r100_cs_track_check()
    - drm/radeon: check return value of radeon_ring_lock()
    - [arm64] drm/msm/mdp4: flush vblank event on disable
    - drm/drv: propagate errors from drm_modeset_register_all()
    - drm/radeon: check the alloc_workqueue return value in radeon_crtc_init()
      (CVE-2023-52470)
    - drm/amd/pm: fix a double-free in si_dpm_init (CVE-2023-52691)
    - drivers/amd/pm: fix a use-after-free in kv_parse_power_table
      (CVE-2023-52469)


=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.2.0
Build-Depends: debhelper (>= 10.1~), dh-exec, python3:any, quilt, cpio <!stage1>, xz-utils <!stage1>, dh-python <!stage1>, bison <!stage1>, flex (>= 2.6.1-1.1~) <!stage1>
Build-Depends-Arch: kernel-wedge (>= 2.99~) <!stage1 !pkg.linux.nokernel>, kmod <!stage1 !pkg.linux.nokernel>, bc <!stage1 !pkg.linux.nokernel>, libssl-dev:native <!stage1 !pkg.linux.nokernel>, libssl-dev <!stage1 !pkg.linux.notools>, openssl (>= 1.1.0-1~) <!stage1 !pkg.linux.nokernel>, libelf-dev:native [amd64] <!stage1 !pkg.linux.nokernel>, libelf-dev <!stage1 !pkg.linux.notools>, gcc-8 [alpha arm64 armel armhf hppa ia64 m68k mips mips64 mips64el mips64r6 mips64r6el mipsel mipsr6 mipsr6el powerpc powerpcspe ppc64 ppc64el riscv64 s390x sh4 sparc64] <!stage1 !cross !pkg.linux.nokernel>, gcc-8-alpha-linux-gnu [alpha] <!stage1 cross !pkg.linux.nokernel>, gcc-8 (>= 8-20180123-1~) [amd64 i386] <!stage1 !cross !pkg.linux.nokernel>, gcc-8-x86-64-linux-gnu (>= 8-20180123-1~) [amd64] <!stage1 cross !pkg.linux.nokernel>, gcc-8-aarch64-linux-gnu [arm64] <!stage1 cross !pkg.linux.nokernel>, gcc-8-arm-linux-gnueabi [armel] <!stage1 cross !pkg.linux.nokernel>, gcc-8-arm-linux-gnueabihf [armhf] <!stage1 cross !pkg.linux.nokernel>, gcc-8-hppa-linux-gnu [hppa] <!stage1 cross !pkg.linux.nokernel>, binutils-hppa64-linux-gnu [hppa] <!stage1 !pkg.linux.nokernel>, gcc-8-hppa64-linux-gnu [hppa] <!stage1 !pkg.linux.nokernel>, gcc-8-i686-linux-gnu (>= 8-20180123-1~) [i386] <!stage1 cross !pkg.linux.nokernel>, gcc-8-ia64-linux-gnu [ia64] <!stage1 cross !pkg.linux.nokernel>, gcc-8-m68k-linux-gnu [m68k] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mips-linux-gnu [mips] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mips64-linux-gnuabi64 [mips64] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mips64el-linux-gnuabi64 [mips64el] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mipsisa64r6-linux-gnuabi64 [mips64r6] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mipsel-linux-gnu [mipsel] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mipsisa32r6-linux-gnu [mipsr6] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mipsisa32r6el-linux-gnu [mipsr6el] <!stage1 cross !pkg.linux.nokernel>, gcc-8-powerpc-linux-gnu [powerpc] <!stage1 cross !pkg.linux.nokernel>, gcc-8-powerpc-linux-gnuspe [powerpcspe] <!stage1 cross !pkg.linux.nokernel>, gcc-8-powerpc64-linux-gnu [ppc64] <!stage1 cross !pkg.linux.nokernel>, gcc-8-powerpc64le-linux-gnu [ppc64el] <!stage1 cross !pkg.linux.nokernel>, gcc-8-riscv64-linux-gnu [riscv64] <!stage1 cross !pkg.linux.nokernel>, gcc-8-s390x-linux-gnu [s390x] <!stage1 cross !pkg.linux.nokernel>, gcc-8-sh4-linux-gnu [sh4] <!stage1 cross !pkg.linux.nokernel>, gcc-8-sparc64-linux-gnu [sparc64] <!stage1 cross !pkg.linux.nokernel>, libpci-dev [linux-any] <!stage1 !pkg.linux.notools>, autoconf [linux-any] <!stage1 !pkg.linux.notools>, automake [linux-any] <!stage1 !pkg.linux.notools>, libtool [linux-any] <!stage1 !pkg.linux.notools>, libglib2.0-dev [linux-any] <!stage1 !pkg.linux.notools>, libudev-dev [linux-any] <!stage1 !pkg.linux.notools>, libwrap0-dev [linux-any] <!stage1 !pkg.linux.notools>, rsync [linux-any] <!stage1 !pkg.linux.notools>, asciidoctor [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !nodoc !pkg.linux.notools !nopython>, gcc-multilib [amd64 mips64 mips64el mips64r6 mips64r6el ppc64 s390x sparc64] <!stage1 !pkg.linux.notools !nopython>, libaudit-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libbabeltrace-dev (>= 1.5.0) [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libbabeltrace-dev (>= 1.5.3-2~) [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython> | libbabeltrace-ctf-dev (>= 1.5.0) [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libdw-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libiberty-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libnewt-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libnuma-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libperl-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libunwind-dev [amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el sh4] <!stage1 !pkg.linux.notools !nopython>, libopencsd-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, python3-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>
Build-Depends-Indep: graphviz <!stage1 !nodoc>, python3-sphinx <!stage1 !nodoc>, python3-sphinx-rtd-theme <!stage1 !nodoc>, texlive-latex-base <!stage1 !nodoc>, texlive-latex-extra <!stage1 !nodoc>, dvipng <!stage1 !nodoc>, patchutils <!stage1 !pkg.linux.nosource>
Homepage: https://www.kernel.org/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git

Package: linux-support-4.19.0-27
Architecture: all
Section: devel
Depends: ${python3:Depends}, ${misc:Depends}
Description: Support files for Linux 4.19
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-doc-4.19
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 4.19
 This package provides the various README files and HTML documentation for
 the Linux kernel version 4.19.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-4.19/Documentation/00-INDEX for the detailed
 description of the contents.
Build-Profiles: <!stage1 !nodoc>
Multi-Arch: foreign

Package: linux-cpupower
Architecture: linux-any
Section: admin
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CPU power management tools for Linux
 The cpupower command allows inspection and control of cpufreq and cpuidle
 tunables for hardware that support these features.  It replaces
 "cpufreq-info" and "cpufreq-set" in cpufrequtils.
 .
 ${cpupower:Arch-Description}
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: libcpupower1
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CPU frequency and voltage scaling tools for Linux (libraries)
 This package contains the shared library.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: libcpupower-dev
Architecture: linux-any
Section: libdevel
Provides: libcpufreq-dev
Depends: ${misc:Depends}, libcpupower1 (= ${binary:Version})
Replaces: libcpufreq-dev
Conflicts: libcpufreq-dev
Description: CPU frequency and voltage scaling tools for Linux (development files)
 This package contains the 'power/cpupower' headers and library shared
 objects.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: usbip
Architecture: linux-any
Section: admin
Depends: usbutils, ${shlibs:Depends}, ${misc:Depends}
Description: USB device sharing system over IP network
 USB/IP is a system for sharing USB devices over the network.
 .
 To share USB devices between computers with their full functionality,
 USB/IP encapsulates "USB requests" into IP packets and transmits them
 between computers.
 .
 Original USB device drivers and applications can be used for remote USB
 devices without any modification of them.  A computer can use remote USB
 devices as if they were directly attached.
 .
 Currently USB/IP provides no access control or encryption.  It should only
 be used in trusted environments.
 .
 This package provides the server component 'usbipd' and the client tool
 'usbip'.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: hyperv-daemons
Architecture: amd64 i386 x32
Section: admin
Depends: lsb-base, ${shlibs:Depends}, ${misc:Depends}
Description: Support daemons for Linux running on Hyper-V
 Suite of daemons for Linux guests running on Hyper-V, consisting of
 hv_fcopy_daemon, hv_kvp_daemon and hv_vss_daemon.
 .
 hv_fcopy_daemon provides the file copy service, allowing the host to copy
 files into the guest.
 .
 hv_kvp_daemon provides the key-value pair (KVP) service, allowing the host
 to get and set the IP networking configuration of the guest.  (This
 requires helper scripts which are not currently included.)
 .
 hv_vss_daemon provides the volume shadow copy service (VSS), allowing the
 host to freeze the guest filesystems while taking a snapshot.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: libbpf4.19
Architecture: alpha amd64 arm64 arm64ilp32 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc powerpcspe ppc64 ppc64el riscv64 s390 s390x sh3 sh4 sparc sparc64 x32
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: eBPF helper library (shared library)
 libbpf is a library for loading eBPF programs and reading and manipulating
 eBPF objects from user-space.
Build-Profiles: <!stage1 !pkg.linux.notools>
Multi-Arch: same

Package: libbpf-dev
Architecture: alpha amd64 arm64 arm64ilp32 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc powerpcspe ppc64 ppc64el riscv64 s390 s390x sh3 sh4 sparc sparc64 x32
Section: libdevel
Depends: ${misc:Depends}, libbpf4.19 (= ${binary:Version})
Description: eBPF helper library (development files)
 libbpf is a library for loading eBPF programs and reading and manipulating
 eBPF objects from user-space.
Build-Profiles: <!stage1 !pkg.linux.notools>

=== debian/tests/control ===
Tests: python
Depends: python3, pycodestyle, pyflakes3

Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-4.19.0-27-alpha-generic [alpha], linux-image-4.19.0-27-alpha-smp [alpha], linux-image-4.19.0-27-amd64-unsigned [amd64], linux-image-4.19.0-27-cloud-amd64-unsigned [amd64], linux-image-4.19.0-27-rt-amd64-unsigned [amd64], linux-image-4.19.0-27-arm64-unsigned [arm64], linux-image-4.19.0-27-rt-arm64-unsigned [arm64], linux-image-4.19.0-27-marvell [armel], linux-image-4.19.0-27-rpi [armel], linux-image-4.19.0-27-armmp [armhf], linux-image-4.19.0-27-armmp-lpae [armhf], linux-image-4.19.0-27-rt-armmp [armhf], linux-image-4.19.0-27-parisc [hppa], linux-image-4.19.0-27-parisc-smp [hppa], linux-image-4.19.0-27-parisc64-smp [hppa], linux-image-4.19.0-27-686-unsigned [i386], linux-image-4.19.0-27-686-pae-unsigned [i386], linux-image-4.19.0-27-rt-686-pae-unsigned [i386], linux-image-4.19.0-27-itanium [ia64], linux-image-4.19.0-27-mckinley [ia64], linux-image-4.19.0-27-m68k [m68k], linux-image-4.19.0-27-4kc-malta [mips mipsel], linux-image-4.19.0-27-5kc-malta [mips mips64 mips64el mipsel], linux-image-4.19.0-27-octeon [mips mips64 mips64el mipsel], linux-image-4.19.0-27-loongson-3 [mips64el mipsel], linux-image-4.19.0-27-mips64r6 [mips64r6 mipsr6], linux-image-4.19.0-27-mips64r6el [mips64r6el mipsr6el], linux-image-4.19.0-27-mips32r6 [mipsr6], linux-image-4.19.0-27-mips32r6el [mipsr6el], linux-image-4.19.0-27-powerpc [powerpc], linux-image-4.19.0-27-powerpc-smp [powerpc], linux-image-4.19.0-27-powerpc64 [powerpc ppc64], linux-image-4.19.0-27-powerpcspe [powerpcspe], linux-image-4.19.0-27-powerpc64le [ppc64el], linux-image-4.19.0-27-riscv64 [riscv64], linux-image-4.19.0-27-s390x [s390x], linux-image-4.19.0-27-sh7751r [sh4], linux-image-4.19.0-27-sh7785lcr [sh4], linux-image-4.19.0-27-sparc64 [sparc64], linux-image-4.19.0-27-sparc64-smp [sparc64]
Classes: smp
